FadingFilter
Keywords: com.fg.util.FadingFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.util
Class FadingFilter

    java.lang.Object
      java.awt.image.ImageFilter
          java.awt.image.RGBImageFilter
              com.fg.util.FadingFilter

All Implemented Interfaces:
  java.lang.Cloneable, java.awt.image.ImageConsumer

public class FadingFilter
extends java.awt.image.RGBImageFilter

FadingFilter class produces faded versions of the javax.swing.ImageIcon images.

Version:
  1.0
Author:
  Felix Golubov

Field Summary

Fields inherited from interface java.awt.image.ImageConsumer
`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

Method Summary
`static java.awt.Image` | `fade(java.awt.Image image)` Produces faded versions of the Image.
`static javax.swing.ImageIcon` | `fade(javax.swing.ImageIcon icon)` Produces faded versions of the ImageIcon image.
`int` | `filterRGB(int x, int y, int rgb)` Implementation of the abstract RGBImageFilter.filterRGB(int,int,int) method.

Methods inherited from class java.awt.image.RGBImageFilter
`filterIndexColorModel, filterRGBPixels, setColorModel, setPixels, setPixels, substituteColorModel`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, imageComplete, resendTopDownLeftRight, setDimensions, setHints, setProperties`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### filterRGB

    public int filterRGB(int x,
                         int y,
                         int rgb)

  Implementation of the abstract RGBImageFilter.filterRGB(int,int,int) method.

### fade

    public static java.awt.Image fade(java.awt.Image image)

  Produces faded versions of the Image.

  Parameters:
    `image` - a source Image object
  Returns:
    a faded Image

### fade

    public static javax.swing.ImageIcon fade(javax.swing.ImageIcon icon)

  Produces faded versions of the ImageIcon image.

  Parameters:
    `icon` - a source ImageIcon object
  Returns:
    a faded ImageIcon image

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD